I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
It works great for my purpose BUT it doesn't auto constrain the endpoints, which is essential as I need to extrude /sweep after it has inserted.
There is an option to constrain end points when you manually do the import, but the command manager mustn't have any access to options ? So two questions I guess
1. Is there an API to insert an ACAD file into a sketch ? 2. If there isn't, is there another way to constrain the end points to make a loop after the insert?
I attached a sketch to a view, fully constrained the lines in the sketch to the PG from the lines in the standard view.
Everything looks good but when I click "Finish Sketch" and it leaves the sketch environment the lines from the sketch shift slightly out of alignment.
The dimensions I have to these lines are in the right locations so it looks like they aren't going to the sketch lines. But if I try to "connect" the dimensions to where the lines are actually being show it gives me errors saying there is nothing there to connect to.
I need to find out how to import/ convert a real hand drawn sketch into a .dwg or .dxf format so it can be used on a CNC machine to cut the pattern out of a 6mm sheet of aluminium
Is there any method to sort sketch blocks in a part file? All of our sketch blocks are numbered with a profile number. When we create a new multi-body assembly we will often derive 50-100 of them into the master file. It would be great if we could sort them by profile number.
The next best solution would be the ability to create sub-folders to place them in by type (sort of like assembly folders), but I'm pretty sure this isn't possible.
I am trying to edit a sketch in a multi body part file. While I am trying to edit, it displays all other solid bodies which is not required. How to switch them off displaying unnecessary solid bodies while editing a sketch?
I am looking for the best way to place multiple columns in a single part file (as independant parts). I want to do this to accurately represent a steel structure that we purchase with a single part number. The structure is purchased and not modified so I figured a single part file would be better than an assembly file with multiple parts.
I thought the best way would be to extrude a 2D wide flange beam profile. However I would like to just pick the profile from a database (content center?) instead of going through the hassle of sketching each profile manually.
I have been searching for a macro to export the start and end point of a line coordinates to excel, but I can only find information on how to export 3D Points.
Is it possible to program a macro that allows me to export the start and end point of various lines in a sketch?
The objective of this is to connect an excel file which is updated when I create a line with it correspondent points, then i could not only import these x,y,z coordinates from excel to inventor but I whould be able to update my spreedsheet whenever I change my sketch.
I am looking for a procedure to make sketch drawings out of digital photos using Photoshop. I have read some postings on this website, but they were based on using a Mac so the commands were not the same on my version. Please note that these sketches will be of technical matter and not people (if that makes a difference?).
I work in Sketch-Up a lot creating urban streetscapes and such as I am the graphics person at a community planning consulting firm. Sketch-Up is great for quickly drawing and creating 3D models of screens; however, it is not good for producing a great looking final image to show to a client. What I want to do is export a 2D graphic from Sketch-Up and make it look like it was hand drawn. I am semi-proficient in Photoshop, meaning I can follow a tutorial and be able to tweak and apply what I learned to fit my needs but I can't seem to find something that gives me what exactly what I'm looking for. I've uploaded an image that represents the style I am looking for. This one was done by hand on tracing paper. I can't draw by hand to save my life so I want to create the model in Sketch-Up, export the screen as a JPEG, load into Photoshop and process to make it look like it was done by hand.
I need to print an initial 2d sketch (without any 3d work done on it).
Printing this in sketch mode seems to output a screen capture, i.e. some lines appear wriggly and not as precise as an ordinary plot of an idw or dwg file.
A sketch w/o any 3d work will not be accepted as an idw file, thus I am not able to use all the formatting (tblocks, fonts, dimstyles, etc.) options available to idw files.
Is there a way of printing a 2d sketch (w/o any 3d work) as an idw file?
I've managed to hack together some code to draw a rectangle and dimension it. Now I want to constrain it to the origin. I figure either using two dimensions from a top/side to the origin and setting the dimension as half of the other respective dimension would work. Or constraining the center point of a top/side line to be vertical/horizontal to the origin.
The problem I'm having is I do not know how to reference the origin. So until I figure out how to reference the origin point I can't use either method.
Public Sub DrawSketchLine() ' Check to make sure a sketch is open. If Not TypeOf ThisApplication.ActiveEditObject Is PlanarSketch Then MsgBox "A sketch must be active." Exit Sub End If ' Set a reference to the active sketch. Dim oSketch As PlanarSketch Set oSketch = ThisApplication.ActiveEditObject ' Set a reference to the transient geometry collection. Dim oTransGeom As TransientGeometry Set oTransGeom = ThisApplication.TransientGeometry Dim oUOM As UnitsOfMeasure Set oUOM = [Code].......
Is there a way to update a symbol of one type, without the changes being applied to all symbols of that type in the drawing?
Example: If I have three Flag Note symbol's in my drawing from the same sketch symbol and the text reads 1, is there a way that I can change the text to read 2 in one of them without the other two flag notes updating as well?
IV 2012 Pro-Suite / VP 2011 Windows Vista Enterprise - 64 Bit Precision Workstation T7500 Intel (R) Xeon (R) CPU - E5504 @ 2.00 GHz (8 CPUs) 12284 Mb Ram Dual Quadro FX 5800
(1) Why can't you use the Sweep command with a 3D sketch? (2) Why can't you draw circles in the 3D sketch environment? What do you do if you need to sweep a cut with a circular profile along a 3D sketch line?
I want to make some points in 3D sketch base on the Coordinate System that I defined (UCS).Is there any solution to make these points in 3D sketch just by inputing their coordinates in my UCS?
Example: the new UCS origin has (x,y,z) coordinates from the origin.and one of the points has the coordinates of (x',y',z') from the UCS.
So from the origin it has the coordinates of (x+x',y+y',z+z').Is it possible to just use (x',y',z') from UCS directly to get my point?
I am working on iLogic models and have a sketch feature in a part that is used as a referance for a caulk bead. The sketch is in an IPT and is a stand alone feature. I am trying to have this sketch feature be visible in and IDW file of the product I am developing but cannot seem to find a solution. Is this even possible and if so what am I doing wrong?
I am doing it this way because the caulk bead spans the entire height of the part which can change via different custom parameters, therefore the caulk bead needs to be able to change with the part while not losing its sketch references.